QGIS Application - Feature request #3752
Clicking inside the polygon with the Node tool
2011-04-17 11:38 AM - Maxim Dubinin

Status: Open

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 13811
Description

Right now, one needs to click on the edge of the polygon. This is rather inconvinient, because a) you have to aim hard and b) if you don't
see the whole polygon and you click on the adjacent boundary between two you don't really know which ones nodes you've just activated.

Example (guess which polygon's nodes are activated): http:/gis-lab.info/images/screenshots/20110417-870-14kb.jpg

One should be able to click inside the polygon and have nodes selected.

Related issues:

Related to QGIS Application - Feature request # 11022: Difficult to modify n... Closed 2014-08-07
Related to QGIS Application - Bug report # 10234: Difficult to edit nodes of ... Closed 2014-05-12
History

#1 - 2011-04-23 06:40 AM - Mayeul Kauffmann

Same issue when you want to delete a part of a multipart polygon, see my comment on #3770:

To delete a part of a multipolygon, you have to click on one of its vertices, which might be a problem if you have a set of contiguous (parts of) polygons).

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2015-10-22 12:23 AM - Arnaud Morvan

Pull request proposed: https:/github.com/qgis/QGIS/pull/2388

The user can select the feature to edit by clicking inside the polygon.

#6 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Easy fix? set to No

#7 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jiirgen Fischer)
